Debian Bug report logs - #139047
openssh: Debian SSH package should incorporate (new) chroot patch

version graph

Package: ssh; Maintainer for ssh is Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>; Source for ssh is src:openssh.

Reported by: Mark Janssen <maniac@widow.xs4all.nl>

Date: Tue, 19 Mar 2002 13:03:06 UTC

Severity: wishlist

Tags: patch

Merged with 203629

Found in version 1:3.6.1p2-4

Fixed in version openssh/1:5.1p1-1

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Matthew Vernon <matthew@debian.org>, openssh@packages.qa.debian.org:
Bug#139047; Package openssh. Full text and rfc822 format available.

Acknowledgement sent to Mark Janssen <maniac@widow.xs4all.nl>:
New Bug report received and forwarded. Copy sent to Matthew Vernon <matthew@debian.org>, openssh@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Mark Janssen <maniac@widow.xs4all.nl>
To: Debian Bug Tracking System <maintonly@bugs.debian.org>
Subject: openssh: Debian SSH package should incorporate (new) chroot patch
Date: Tue, 19 Mar 2002 13:53:44 +0100
Package: openssh
Version: N/A; reported 2002-03-19
Severity: wishlist
Tags: patch

A new (and good working) patch for chroot support in OpenSSH has been
made by Nico Kadel-Garcia, and has been placed on:
http://www.cag.lcs.mit.edu/~raoul/
(http://www.cag.lcs.mit.edu/~raoul/openssh-3.1p1-chroot.patch)

This patch works with the latest OpenSSH (3.1) without problems, and
patches cleanly on the Debian source package. (The included chroot patch
in the debian source package (and upstream) does not)

Including the patch should have no impact on users not using the chroot
patch, but will make life a lot easier for people using it (like me)

I'd really appreciate it if this patch could make it into the debian
version of Openssh. (or at least placed in the contrib dir instead of
the current broken patch)

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux widow 2.4.18-pre4 #12 Wed Feb 20 13:35:32 CET 2002 i586
Locale: LANG=C, LC_CTYPE=C




Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Vernon <matthew@debian.org>, openssh@packages.qa.debian.org:
Bug#139047; Package openssh. Full text and rfc822 format available.

Acknowledgement sent to Mark Janssen <maniac@maniac.nl>:
Extra info received and forwarded to list. Copy sent to Matthew Vernon <matthew@debian.org>, openssh@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 139047@bugs.debian.org (full text, mbox):

From: Mark Janssen <maniac@maniac.nl>
To: 139047@bugs.debian.org
Subject: Patch attached
Date: 26 Jul 2002 11:51:07 +0200
[Message part 1 (text/plain, inline)]
Since the original writer's page seems to be gone (it was an .edu site,
maybe he graduated) and I can't find a new URL at this time, i'll post
the patch (which I still have on disk) here.

-- 
Mark Janssen -- maniac(at)maniac.nl -- GnuPG Key Id: 357D2178
Unix / Linux, Open-Source and Internet Consultant @ SyConOS IT
Maniac.nl Unix-God.Net|Org MarkJanssen.org|nl SyConOS.com|nl
[openssh-3.1p1-chroot.patch (text/plain, inline)]
COPYRIGHT: This software is under the copyright restrictions of the
original authors of OpenSSH, with the notice that this is purely a
freeware contribution and in no way reflects responsibility of MIT
(for whom I was working when I wrote it), or of me.

				Nico Kadel-Garcia
				nkadel@bellatlantic.net


Originally created by: Ricardo Cerqueira <rmcc@clix.pt>

A patch to cause sshd to chroot when it encounters the magic token
'/./' in a users home directory. The directory portion before the
token is the directory to chroot() to, the portion after the
token is the user's home directory relative to the new root.

Heavily edited by: Nico Kadel-Garcia <nkadel@bellatlantic.net>
Updated by several web contributors for OpenSSH 3.1p1.

This patch was modified to add a "--with-chroot" option to
config.h.in, configure.ac and, after running "autoconf" to configure
itself. I also renamed the "CHROOT" define to be "HAVE_CHROOT" to be
consistent with the style of other such flags in config.h.in.

				Nico Kadel-Garcia
				nkadel@bellatlantic.net

diff -ur openssh-3.1p1/config.h.in openssh-3.1p1.chroot/config.h.in
--- openssh-3.1p1/config.h.in	Wed Mar  6 21:22:30 2002
+++ openssh-3.1p1.chroot/config.h.in	Tue Mar 12 09:46:13 2002
@@ -774,6 +774,9 @@
 /* Define if you have the `__b64_ntop' function. */
 #undef HAVE___B64_NTOP
 
+/* Define if you want the chroot capability */
+#undef HAVE_CHROOT
+
 /* The size of a `char', as computed by sizeof. */
 #undef SIZEOF_CHAR
 
diff -ur openssh-3.1p1/configure.ac openssh-3.1p1.chroot/configure.ac
--- openssh-3.1p1/configure.ac	Wed Feb 27 01:12:35 2002
+++ openssh-3.1p1.chroot/configure.ac	Tue Mar 12 09:46:13 2002
@@ -1827,6 +1827,18 @@
 	]
 )
 
+# Check whether to enable chroot support
+CHROOT_MSG="no" 
+AC_ARG_WITH(chroot,
+	[  --with-chroot           Enable use of chroot home directories],
+	[
+		if test "x$withval" != "xno" ; then
+			AC_DEFINE(HAVE_CHROOT)
+			CHROOT_MSG="yes"
+		fi
+	]
+)
+
 # Whether to disable shadow password support
 AC_ARG_WITH(shadow,
 	[  --without-shadow        Disable shadow password support],
@@ -2294,6 +2306,7 @@
 echo "                 S/KEY support: $SKEY_MSG"
 echo "          TCP Wrappers support: $TCPW_MSG"
 echo "          MD5 password support: $MD5_MSG"
+echo "                chroot support: $CHROOT_MSG"
 echo "   IP address in \$DISPLAY hack: $DISPLAY_HACK_MSG"
 echo "      Use IPv4 by default hack: $IPV4_HACK_MSG"
 echo "       Translate v4 in v6 hack: $IPV4_IN6_HACK_MSG"
diff -ur openssh-3.1p1/session.c openssh-3.1p1.chroot/session.c
--- openssh-3.1p1/session.c	Mon Feb 25 10:48:03 2002
+++ openssh-3.1p1.chroot/session.c	Tue Mar 12 09:55:31 2002
@@ -416,7 +416,6 @@
 		packet_disconnect("Password change required but no "
 		    "TTY available");
 #endif /* USE_PAM */
-
 	/* Fork the child. */
 	if ((pid = fork()) == 0) {
 		/* Child.  Reinitialize the log since the pid has changed. */
@@ -1008,6 +1007,11 @@
 	return env;
 }
 
+#ifdef HAVE_CHROOT
+	char *user_dir;
+	char *new_root;
+#endif /* HAVE_CHROOT */
+
 /*
  * Run $HOME/.ssh/rc, /etc/ssh/sshrc, or xauth (whichever is found
  * first in this order).
@@ -1125,6 +1129,27 @@
 
 		if (setlogin(pw->pw_name) < 0)
 			error("setlogin failed: %s", strerror(errno));
+
+#ifdef HAVE_CHROOT
+			user_dir = xstrdup(pw->pw_dir);
+			new_root = user_dir + 1;
+
+			while ((new_root = strchr(new_root, '.')) != NULL) {
+			  new_root--;
+			  if (strncmp(new_root, "/./", 3) == 0) {
+			    *new_root = '\0';
+			    new_root += 2;
+
+			    if (chroot(user_dir) != 0)
+			      fatal("Couldn't chroot to user directory %s", user_dir);
+
+			    pw->pw_dir = new_root;
+			    break;
+			  }
+			  new_root += 2;
+			}
+#endif /* HAVE_CHROOT */
+
 		if (setgid(pw->pw_gid) < 0) {
 			perror("setgid");
 			exit(1);

Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Vernon <matthew@debian.org>, openssh@packages.qa.debian.org:
Bug#139047; Package openssh. Full text and rfc822 format available.

Acknowledgement sent to Andreas Kotes <count-debian@flatline.de>:
Extra info received and forwarded to list. Copy sent to Matthew Vernon <matthew@debian.org>, openssh@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 139047@bugs.debian.org (full text, mbox):

From: Andreas Kotes <count-debian@flatline.de>
To: 139047@bugs.debian.org
Subject: chroot patch should (still) be included!
Date: Sun, 25 May 2003 15:46:45 +0200
Hi!

as suggested in Appendix G of the 'Securing Debian' manual, this patch
should be included in the debian package.

Not including it means risking people who applied it themselves might
miss updates or have them MUCH later than other people - or break their
system / ssh logon during updates ..

   Count

-- 
Andreas Kotes - ICQ: 3741366 - The views expressed herein are (only) mine.
Unser Leben ist das, wozu unser Denken es macht. -- OpenPGP key 0x8F94C228
Our Life is what our thinking makes it.. Your mind is a weapon! Arm it ..



Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Vernon <matthew@debian.org>, openssh@packages.qa.debian.org:
Bug#139047; Package openssh. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthew Vernon <matthew@debian.org>, openssh@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 139047@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Andreas Kotes <count-debian@flatline.de>, 139047@bugs.debian.org
Subject: Re: Bug#139047: chroot patch should (still) be included!
Date: Sun, 25 May 2003 16:32:52 +0100
On Sun, May 25, 2003 at 03:46:45PM +0200, Andreas Kotes wrote:
> as suggested in Appendix G of the 'Securing Debian' manual, this patch
> should be included in the debian package.

Right now when there are lots of real problems in the openssh package,
I'm very reluctant to apply destabilizing patches for wishlist bugs when
I could be working on stabilizing patches for non-wishlist bugs. (For
instance, the patch is against 3.1p1, before privilege separation. Maybe
there's a newer version, but still.)

> Not including it means risking people who applied it themselves might
> miss updates or have them MUCH later than other people - or break their
> system / ssh logon during updates ..

No, that's not a valid argument. Any random patch could have that
effect. Use apt-src or something like that.

Cheers,

-- 
Colin Watson                                  [cjwatson@flatline.org.uk]



Bug reassigned from package `openssh' to `ssh'. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 139047 203629. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mark Janssen <maniac@widow.xs4all.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 139047-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 139047-close@bugs.debian.org
Subject: Bug#139047: fixed in openssh 1:5.1p1-1
Date: Fri, 25 Jul 2008 10:47:03 +0000
Source: openssh
Source-Version: 1:5.1p1-1

We believe that the bug you reported is fixed in the latest version of
openssh, which is due to be installed in the Debian FTP archive:

openssh-client-udeb_5.1p1-1_i386.udeb
  to pool/main/o/openssh/openssh-client-udeb_5.1p1-1_i386.udeb
openssh-client_5.1p1-1_i386.deb
  to pool/main/o/openssh/openssh-client_5.1p1-1_i386.deb
openssh-server-udeb_5.1p1-1_i386.udeb
  to pool/main/o/openssh/openssh-server-udeb_5.1p1-1_i386.udeb
openssh-server_5.1p1-1_i386.deb
  to pool/main/o/openssh/openssh-server_5.1p1-1_i386.deb
openssh_5.1p1-1.diff.gz
  to pool/main/o/openssh/openssh_5.1p1-1.diff.gz
openssh_5.1p1-1.dsc
  to pool/main/o/openssh/openssh_5.1p1-1.dsc
openssh_5.1p1.orig.tar.gz
  to pool/main/o/openssh/openssh_5.1p1.orig.tar.gz
ssh-askpass-gnome_5.1p1-1_i386.deb
  to pool/main/o/openssh/ssh-askpass-gnome_5.1p1-1_i386.deb
ssh-krb5_5.1p1-1_all.deb
  to pool/main/o/openssh/ssh-krb5_5.1p1-1_all.deb
ssh_5.1p1-1_all.deb
  to pool/main/o/openssh/ssh_5.1p1-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 139047@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated openssh package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 25 Jul 2008 10:45:08 +0100
Source: openssh
Binary: openssh-client openssh-server ssh ssh-krb5 ssh-askpass-gnome openssh-client-udeb openssh-server-udeb
Architecture: source all i386
Version: 1:5.1p1-1
Distribution: unstable
Urgency: low
Maintainer: Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 openssh-client - secure shell client, an rlogin/rsh/rcp replacement
 openssh-client-udeb - secure shell client for the Debian installer (udeb)
 openssh-server - secure shell server, an rshd replacement
 openssh-server-udeb - secure shell server for the Debian installer (udeb)
 ssh        - secure shell client and server (metapackage)
 ssh-askpass-gnome - interactive X program to prompt users for a passphrase for ssh-ad
 ssh-krb5   - secure shell client and server (transitional package)
Closes: 139047 140828 308561 352830 372680 439661 474301 484821
Changes: 
 openssh (1:5.1p1-1) unstable; urgency=low
 .
   * New upstream release (closes: #474301). Important changes not previously
     backported to 4.7p1:
     - 4.9/4.9p1 (http://www.openssh.com/txt/release-4.9):
       + Added chroot(2) support for sshd(8), controlled by a new option
         "ChrootDirectory" (closes: #139047, LP: #24777).
       + Linked sftp-server(8) into sshd(8). The internal sftp server is used
         when the command "internal-sftp" is specified in a Subsystem or
         ForceCommand declaration. When used with ChrootDirectory, the
         internal sftp server requires no special configuration of files
         inside the chroot environment.
       + Added a protocol extension method "posix-rename@openssh.com" for
         sftp-server(8) to perform POSIX atomic rename() operations; sftp(1)
         prefers this if available (closes: #308561).
       + Removed the fixed limit of 100 file handles in sftp-server(8).
       + ssh(8) will now skip generation of SSH protocol 1 ephemeral server
         keys when in inetd mode and protocol 2 connections are negotiated.
         This speeds up protocol 2 connections to inetd-mode servers that
         also allow Protocol 1.
       + Accept the PermitRootLogin directive in a sshd_config(5) Match
         block. Allows for, e.g. permitting root only from the local network.
       + Reworked sftp(1) argument splitting and escaping to be more
         internally consistent (i.e. between sftp commands) and more
         consistent with sh(1). Please note that this will change the
         interpretation of some quoted strings, especially those with
         embedded backslash escape sequences.
       + Support "Banner=none" in sshd_config(5) to disable sending of a
         pre-login banner (e.g. in a Match block).
       + ssh(1) ProxyCommands are now executed with $SHELL rather than
         /bin/sh.
       + ssh(1)'s ConnectTimeout option is now applied to both the TCP
         connection and the SSH banner exchange (previously it just covered
         the TCP connection). This allows callers of ssh(1) to better detect
         and deal with stuck servers that accept a TCP connection but don't
         progress the protocol, and also makes ConnectTimeout useful for
         connections via a ProxyCommand.
       + scp(1) incorrectly reported "stalled" on slow copies (closes:
         #140828).
       + scp(1) date underflow for timestamps before epoch.
       + ssh(1) used the obsolete SIG DNS RRtype for host keys in DNS,
         instead of the current standard RRSIG.
       + Correctly drain ACKs when a sftp(1) upload write fails midway,
         avoids a fatal() exit from what should be a recoverable condition.
       + Fixed ssh-keygen(1) selective host key hashing (i.e. "ssh-keygen -HF
         hostname") to not include any IP address in the data to be hashed.
       + Make ssh(1) skip listening on the IPv6 wildcard address when a
         binding address of 0.0.0.0 is used against an old SSH server that
         does not support the RFC4254 syntax for wildcard bind addresses.
       + Enable IPV6_V6ONLY socket option on sshd(8) listen socket, as is
         already done for X11/TCP forwarding sockets (closes: #439661).
       + Fix FD leak that could hang a ssh(1) connection multiplexing master.
       + Make ssh(1) -q option documentation consistent with reality.
       + Fixed sshd(8) PAM support not calling pam_session_close(), or
         failing to call it with root privileges (closes: #372680).
       + Fix activation of OpenSSL engine support when requested in configure
         (LP: #119295).
       + Cache SELinux status earlier so we know if it's enabled after a
         chroot (LP: #237557).
     - 5.1/5.1p1 (http://www.openssh.com/txt/release-5.1):
       + Introduce experimental SSH Fingerprint ASCII Visualisation to ssh(1)
         and ssh-keygen(1). Visual fingerprint display is controlled by a new
         ssh_config(5) option "VisualHostKey". The intent is to render SSH
         host keys in a visual form that is amenable to easy recall and
         rejection of changed host keys.
       + sshd_config(5) now supports CIDR address/masklen matching in "Match
         address" blocks, with a fallback to classic wildcard matching.
       + sshd(8) now supports CIDR matching in ~/.ssh/authorized_keys
         from="..." restrictions, also with a fallback to classic wildcard
         matching.
       + Added an extended test mode (-T) to sshd(8) to request that it write
         its effective configuration to stdout and exit. Extended test mode
         also supports the specification of connection parameters (username,
         source address and hostname) to test the application of
         sshd_config(5) Match rules.
       + ssh(1) now prints the number of bytes transferred and the overall
         connection throughput for SSH protocol 2 sessions when in verbose
         mode (previously these statistics were displayed for protocol 1
         connections only).
       + sftp-server(8) now supports extension methods statvfs@openssh.com
         and fstatvfs@openssh.com that implement statvfs(2)-like operations.
       + sftp(1) now has a "df" command to the sftp client that uses the
         statvfs@openssh.com to produce a df(1)-like display of filesystem
         space and inode utilisation (requires statvfs@openssh.com support on
         the server).
       + Added a MaxSessions option to sshd_config(5) to allow control of the
         number of multiplexed sessions supported over a single TCP
         connection. This allows increasing the number of allowed sessions
         above the previous default of 10, disabling connection multiplexing
         (MaxSessions=1) or disallowing login/shell/subsystem sessions
         entirely (MaxSessions=0).
       + Added a no-more-sessions@openssh.com global request extension that
         is sent from ssh(1) to sshd(8) when the client knows that it will
         never request another session (i.e. when session multiplexing is
         disabled). This allows a server to disallow further session requests
         and terminate the session in cases where the client has been
         hijacked.
       + ssh-keygen(1) now supports the use of the -l option in combination
         with -F to search for a host in ~/.ssh/known_hosts and display its
         fingerprint.
       + ssh-keyscan(1) now defaults to "rsa" (protocol 2) keys, instead of
         "rsa1" (LP: #129794).
       + Added an AllowAgentForwarding option to sshd_config(8) to control
         whether authentication agent forwarding is permitted. Note that this
         is a loose control, as a client may install their own unofficial
         forwarder.
       + ssh(1) and sshd(8): avoid unnecessary malloc/copy/free when
         receiving network data, resulting in a ~10% speedup.
       + ssh(1) and sshd(8) will now try additional addresses when connecting
         to a port forward destination whose DNS name resolves to more than
         one address. The previous behaviour was to try the only first
         address and give up if that failed.
       + ssh(1) and sshd(8) now support signalling that channels are
         half-closed for writing, through a channel protocol extension
         notification "eow@openssh.com". This allows propagation of closed
         file descriptors, so that commands such as "ssh -2 localhost od
         /bin/ls | true" do not send unnecessary data over the wire.
       + sshd(8): increased the default size of ssh protocol 1 ephemeral keys
         from 768 to 1024 bits.
       + When ssh(1) has been requested to fork after authentication ("ssh
         -f") with ExitOnForwardFailure enabled, delay the fork until after
         replies for any -R forwards have been seen. Allows for robust
         detection of -R forward failure when using -f.
       + "Match group" blocks in sshd_config(5) now support negation of
         groups. E.g. "Match group staff,!guests".
       + sftp(1) and sftp-server(8) now allow chmod-like operations to set
         set[ug]id/sticky bits.
       + The MaxAuthTries option is now permitted in sshd_config(5) match
         blocks.
       + Multiplexed ssh(1) sessions now support a subset of the ~ escapes
         that are available to a primary connection.
       + ssh(1) connection multiplexing will now fall back to creating a new
         connection in most error cases (closes: #352830).
       + Make ssh(1) deal more gracefully with channel requests that fail.
         Previously it would optimistically assume that requests would always
         succeed, which could cause hangs if they did not (e.g. when the
         server runs out of file descriptors).
       + ssh(1) now reports multiplexing errors via the multiplex slave's
         stderr where possible (subject to LogLevel in the mux master).
       + Fixed an UMAC alignment problem that manifested on Itanium
         platforms.
   * Remove our local version of moduli(5) now that there's one upstream.
   * Say "GTK+" rather than "GTK" in ssh-askpass-gnome's description.
   * Add lintian overrides for empty /usr/share/doc/openssh-client
     directories in openssh-server and ssh (necessary due to being symlink
     targets).
   * Merge from Ubuntu:
     - Add 'status' action to openssh-server init script, requiring lsb-base
       (>= 3.2-13) (thanks, Dustin Kirkland).
   * debconf template translations:
     - Update Korean (thanks, Sunjae Park; closes: #484821).
Checksums-Sha1: 
 c8c6bb5981f6f8108054eac38451b544296ba009 1500 openssh_5.1p1-1.dsc
 877ea5b283060fe0160e376ea645e8e168047ff5 1040041 openssh_5.1p1.orig.tar.gz
 a13b33198311a9d403992bf53f09faeac5634580 214120 openssh_5.1p1-1.diff.gz
 467947caacaca81036841bf3f368731dfc18f5c1 1206 ssh_5.1p1-1_all.deb
 3d859e826ea309371c60d83dccfee5b439764f08 114844 ssh-krb5_5.1p1-1_all.deb
 f2f54d002a0abc55283497f7dd12cc70411e6781 815350 openssh-client_5.1p1-1_i386.deb
 0517c5027a5ea7b574f9a51f8d166fa36c90b761 295008 openssh-server_5.1p1-1_i386.deb
 323debe88ad239db11187f8a06be8be497ea13b6 122382 ssh-askpass-gnome_5.1p1-1_i386.deb
 cb33ab587eea0526201f2f652edcbdb4005ddde6 177202 openssh-client-udeb_5.1p1-1_i386.udeb
 a063c7dfb67eb0b96a901eabbca537d61431d584 198852 openssh-server-udeb_5.1p1-1_i386.udeb
Checksums-Sha256: 
 d05258f00a6c275b4548ade321fbbce6a796aa479dec3a557639d39097076e4c 1500 openssh_5.1p1-1.dsc
 f05358164dae1021386ae57be53a5e9f5cba7a1f8c9beaa428299e28a5666d75 1040041 openssh_5.1p1.orig.tar.gz
 4b1144e49c1d4ab950145a1ebf8d372638d58261a63dc9bc044e4962518db3a1 214120 openssh_5.1p1-1.diff.gz
 0c7dc0813dcf64ba38b0965a1b2b5b90ed23ffd07d4040f53918b7140afc4ae0 1206 ssh_5.1p1-1_all.deb
 b2f7f097eb40eadcc83ff163cf5dc2b9a3ba97b3673dbbd90ac7523999883e43 114844 ssh-krb5_5.1p1-1_all.deb
 51ce4692a980ceb83c8250e95bdca21866ac1530b5c69d1f5df5e5a731ed558e 815350 openssh-client_5.1p1-1_i386.deb
 5d1f79e2b278f22485798594a581af51f803ae3cd503253cb4cbbf5feb101a99 295008 openssh-server_5.1p1-1_i386.deb
 8e4bbfe01f227bc5282903f02cf853c0ee003ef6eed9248a34c64779b8f7d514 122382 ssh-askpass-gnome_5.1p1-1_i386.deb
 323184cb70d1a61a84ccb89d73ff558a23aaa69430aaad95e9aab095ef08c328 177202 openssh-client-udeb_5.1p1-1_i386.udeb
 116ae9486a1c58f22bf7251fd6c661858a6ed3685c6d6f8bc5e25ed4c09f4e2d 198852 openssh-server-udeb_5.1p1-1_i386.udeb
Files: 
 2166af53b7b0fb34b23218a9395bf6f7 1500 net standard openssh_5.1p1-1.dsc
 03f2d0c1b5ec60d4ac9997a146d2faec 1040041 net standard openssh_5.1p1.orig.tar.gz
 fb6317565972cb09e6beb301b780cc26 214120 net standard openssh_5.1p1-1.diff.gz
 cbab682f6b816555e5eb7d83130a543b 1206 net extra ssh_5.1p1-1_all.deb
 0483c632cf55f00b09cc09f2fd19a6cb 114844 net extra ssh-krb5_5.1p1-1_all.deb
 e68b33b392e16ffbd855f3f510a9efe1 815350 net standard openssh-client_5.1p1-1_i386.deb
 471b5e28da8e523e50272e0c29397f11 295008 net optional openssh-server_5.1p1-1_i386.deb
 4af11b9ae4805aa003a281fe62733fbd 122382 gnome optional ssh-askpass-gnome_5.1p1-1_i386.deb
 ffdaa5b71ad86d00b3527089c6465567 177202 debian-installer optional openssh-client-udeb_5.1p1-1_i386.udeb
 59a0eb559d2dba9af89d70442899130a 198852 debian-installer optional openssh-server-udeb_5.1p1-1_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iD8DBQFIiamE9t0zAhD6TNERAk+XAJ4yXzCiK2pnE/1ga4D/yLxl5eWI/gCfd+aF
B5ovP8Hq1UtPPt2SNUky5rE=
=wxkj
-----END PGP SIGNATURE-----





Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Francesco Paolo Lovergine <frankie@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 23 Aug 2008 07:32:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:21:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.